Subject: [quicwg/base-drafts] Ben Kaduk's TLS Comment 1 (#4477)

From: Lucas Pardue <[email-masked]>
Date: Tue, 05 Jan 2021 18:46:33 -0800

@kaduk said:

> We may want to make a pass through the document to normalize the way in
> which we discuss 0-RTT.  For example, Section 4.5 mentions that
> resumption "can be used without also enabling 0-RTT" as if 0-RTT should
> be off by default, but much of the previous discussion involving 0-RTT
> treats it as an expected and normal part of the protocl.  (For what
> little it's worth, my own personal preference leans towards how RFC 8446
> treats 0-RTT data, as an optional and potentially dangerous thing that
> should be off by default and only enabled after careful consideration,
> though in some ways it actually seems significantly safer in QUIC than
> TLS.  Regardless, I do not see any value in re-litigating the question
> at this point; I'm just hoping that the document can be consistent about
> it.)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4477

---

From: Martin Thomson <[email-masked]>
Date: Tue, 05 Jan 2021 20:02:43 -0800

Having just reviewed all instances of 0-RTT, I'm not seeing anything that I disagree with in terms of tone and posture.  Most of the language does treat 0-RTT as a normal part of the protocol, though it is very careful to highlight the risks.  I think that is entirely appropriate.

Short of being provided with specific problems or recommendations, I propose no action here.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4477#issuecomment-755063561

---

From: kaduk <[email-masked]>
Date: Fri, 08 Jan 2021 15:43:32 -0800

How do you feel about s/Session resumption is the basis of 0-RTT, but can be used without also enabling 0-RTT./Session resumption can be used to enable 0-RTT, and can also be used when 0-RTT is disabled./  (recalling that we had another change to clarify that 0-RTT can be used independently of resumption, if sufficient information is configured alongside the external PSK)?

To clarify, the concern here is that if 0-RTT is something that you "enable", then there would be some precursor state where 0-RTT is disabled by default.  Disabled by default may not mesh very well with "normal part of the protocol".

Thank you for reviewing the other instances; I only happened to notice this one place in Section 4.5 but was not specifically looking for others.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4477#issuecomment-757050781

---

From: Martin Thomson <[email-masked]>
Date: Sun, 10 Jan 2021 17:54:11 -0800

It's a fine point, but I wouldn't object to making that change in line with other 0-RTT changes.

I think that the chances of ever seeing non-resumption 0-RTT are so remote as to be irrelevant, but we can still be accurate.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4477#issuecomment-757587236

---

From: Martin Thomson <[email-masked]>
Date: Mon, 11 Jan 2021 14:22:04 -0800

Closed #4477 via #4723.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4477#event-4193068800